/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.sun.jsat.controllers;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JTree;
import org.sun.jsat.JSATMain;
import org.sun.jsat.trees.FilledActionDefTreeNode;
import org.sun.jsat.trees.FilledRuleDefTreeNode;
import securityanalyzer.resourcemodel.FilledActionDefinition;
import securityanalyzer.resourcemodel.FilledRuleDefinition;

/**
 *
 * @author joe
 */
public class RemoveController implements ActionListener {
    
    JSATMain main;
    JTree jt;
    
    public RemoveController(JSATMain main, JTree jt) {
        this.main = main;
        this.jt = jt;
    }
    
    
    public void actionPerformed(ActionEvent e) {
        
        Object lastNode = jt.getAnchorSelectionPath().getLastPathComponent();
        
        if(lastNode instanceof FilledActionDefTreeNode) {
            
            FilledActionDefTreeNode adNode = (FilledActionDefTreeNode)lastNode;
            
            FilledActionDefinition fad = adNode.getBaseObject();
            
            main.removeAction(fad);
        }
        
        if(lastNode instanceof FilledRuleDefTreeNode) {
            
            FilledRuleDefTreeNode rdNode = (FilledRuleDefTreeNode)lastNode;
            
            FilledRuleDefinition frd = rdNode.getBaseObject();
            
            main.removeRule(frd);
            
        }
        
    }
    

}
