package securityanalyzer.resourcemodel;

/**
 * 
 * Defines a definition of something. This includes a name and a description.
 * 
 */
public abstract class Definition {

	/** The name of the thing being defined */
	protected String name;
	/** The description of the thing being defined */
	protected String description;

	/**
	 * get the name of the thing being defined
	 * 
	 * @return
	 */
	public String getName() {
		return name;
	}

	/**
	 * get the description of the thing being defined
	 * 
	 * @return
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * 
	 * set the name of the thing being defined
	 * 
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * 
	 * set the description of the thing being defined
	 * 
	 * @param description
	 */
	public void setDescription(String description) {
		this.description = description;
	}
}
