package securityanalyzer.resourcemodel;

import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;

public abstract class FilledParameterContainerCollection
	<FilledThing extends ParameterContainer, 
	FilledContainer extends FilledParameterContainer<FilledThing>> 
	implements Collection<FilledContainer>{
	
	private Collection<FilledContainer> filledContainers;

	public FilledParameterContainerCollection(){
		filledContainers = new HashSet<FilledContainer>();
	}
	
	public FilledParameterContainerCollection(Collection<FilledContainer> c){
		filledContainers = c;
	}
	
	public boolean add(FilledContainer o) {
		return filledContainers.add(o);
	}

	public boolean addAll(Collection<? extends FilledContainer> c) {
		return filledContainers.addAll(c);
	}

	public void clear() {
		filledContainers.clear();
	}

	public boolean contains(Object o) {
		return filledContainers.contains(o);
	}

	public boolean containsAll(Collection<?> c) {
		return filledContainers.containsAll(c);
	}

	public boolean isEmpty() {
		return filledContainers.isEmpty();
	}

	public Iterator<FilledContainer> iterator() {
		return filledContainers.iterator();
	}

	public boolean remove(Object o) {
		return filledContainers.remove(o);
	}

	public boolean removeAll(Collection<?> c) {
		return filledContainers.removeAll(c);
	}

	public boolean retainAll(Collection<?> c) {
		return filledContainers.retainAll(c);
	}

	public int size() {
		return filledContainers.size();
	}

	public Object[] toArray() {
		return filledContainers.toArray();
	}

	public <T> T[] toArray(T[] a) {
		return filledContainers.toArray(a);
	}
	
	

}

