package securityanalyzer.resourcemodel;

import java.util.List;

/**
 * 
 * An object that contains Parameters.
 *
 */
public interface ParameterContainer {
	
	/**
	 * Get all the parameters contained by this object
	 * @return
	 */
	public List<ParameterDefinition> getParameters();
	
	/**
	 * Add a parameter to this object
	 * @param p Parameter to add
	 * @return
	 */
	public boolean addParameter(ParameterDefinition p);

}
